from collections import namedtuple

_AND_ = "*"
_OR_ = "+"
_NOT_ = "!"
_BLANK_ = ""

ShapeOperation = namedtuple("ShapeOperation", ['val', 'str'] )
opAND = ShapeOperation( 0, _AND_ )
opOR = ShapeOperation( 1, _OR_ )
opNOOP = ShapeOperation( 1, _BLANK_ )

ShapeInclusion = namedtuple("ShapeInclusion", ['val', 'str'] )
incINCLUDE = ShapeInclusion( 1, _BLANK_ )
incEXCLUDE = ShapeInclusion( 0, _NOT_ )

